## pyside2 5.15.10

=== debian/changelog ===
pyside2 (5.15.10-4) unstable; urgency=medium

  * Team upload.
  * Build with LLVM 15 for now (closes: #1051886).
  * Backport upstream patch to fix test failures with Python 3.11.5.
  * Add a debian/clean file (closes: #1047480).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 01 Oct 2023 23:43:44 +0300

pyside2 (5.15.10-3) unstable; urgency=medium

  * Team upload.
  * Stop building the Qt WebEngine package on mipsel (closes: #1041253).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 16 Jul 2023 17:49:14 +0300

pyside2 (5.15.10-2) unstable; urgency=medium

  * Team upload.
  * Regenerate debian/tests/control using debian/tests/control.gen.
  * Enable the Qt WebEngine packages on mips64el.
  * Enable the Qt Data Visualization package on all architectures.
  * Test WebEngine only on architectures where it is available.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Jun 2023 00:02:49 +0300

pyside2 (5.15.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, no longer needed after upstream changes:
    - Revert-removal-of-version-check.patch
    - importlib-machinery.patch
  * Refresh other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Jun 2023 19:12:26 +0300

=== debian/control ===
Source: pyside2
Section: python
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Kurt Kremitzki <kkremitzki@debian.org>
Build-Depends: chrpath,
               cmake (>= 3.1),
               debhelper-compat (= 13),
               dh-python,
               graphviz,
               libclang-15-dev,
               libqt5charts5-dev (>= 5.15),
               libqt5datavisualization5-dev (>= 5.15),
               libqt5opengl5-dev (>= 5.15),
               libqt5remoteobjects5-dev (>= 5.15),
               libqt5scxml5-bin (>= 5.15),
               libqt5scxml5-dev (>= 5.15),
               libqt5sensors5-dev (>= 5.15),
               libqt5serialport5-dev (>= 5.15),
               libqt5svg5-dev (>= 5.15),
               libqt5texttospeech5-dev (>= 5.15),
               libqt5webchannel5-dev (>= 5.15),
               libqt5webkit5-dev (>= 5.15),
               libqt5websockets5-dev (>= 5.15),
               libqt5x11extras5-dev (>= 5.15),
               libqt5xmlpatterns5-dev (>= 5.15),
               libxml2-dev,
               libxslt1-dev,
               llvm-15-dev,
               patchelf,
               python3-dev,
               python3-distro,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-wheel,
               qml-module-qtquick-controls2 (>= 5.15),
               qml-module-qtquick-layouts (>= 5.15),
               qml-module-qtquick2 (>= 5.15),
               qt3d-assimpsceneimport-plugin (>= 5.15),
               qt3d-defaultgeometryloader-plugin (>= 5.15),
               qt3d-gltfsceneio-plugin (>= 5.15),
               qt3d-scene2d-plugin (>= 5.15),
               qt3d5-dev (>= 5.15),
               qt5-qmake (>= 5.15),
               qt5-qmake-bin (>= 5.15),
               qtbase5-dev (>= 5.15),
               qtbase5-private-dev (>= 5.15),
               qtchooser,
               qtdeclarative5-dev (>= 5.15),
               qtdeclarative5-private-dev (>= 5.15),
               qtlocation5-dev (>= 5.15),
               qtmultimedia5-dev (>= 5.15),
               qtpositioning5-dev (>= 5.15),
               qtquickcontrols2-5-dev (>= 5.15),
               qtscript5-dev (>= 5.15),
               qttools5-dev (>= 5.15),
               qtwebengine5-dev (>= 5.15) [amd64 arm64 armhf i386 mips64el],
               xauth,
               xvfb
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://wiki.qt.io/Qt_for_Python
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2

Package: python-pyside2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: Python bindings for Qt5 (common documentation)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the common documentation package.

Package: libpyside2-py3-5.15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Replaces: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
Provides: libpyside2-py3
Description: Python 3 bindings for Qt5 (base files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python3 base file used by all modules.

Package: libpyside2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-py3-5.15 (= ${binary:Version})
Description: Python bindings for Qt5 (development files)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package provides the development headers for the libpyside2 library.

Package: python3-pyside2.qtcore
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Suggests: python-pyside2-doc
Description: Python bindings for Qt5 core module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtCore module.

Package: shiboken2
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: CPython bindings generator for C++ libraries
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.

Package: libshiboken2-py3-5.15
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Conflicts: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Replaces: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
Provides: libshiboken2-py3
Description: CPython bindings generator for C++ libraries (Python3 shared library)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the shared Python 3 library used by shiboken2.

Package: libshiboken2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libshiboken2-py3-5.15 (= ${binary:Version}), shiboken2 (= ${binary:Version}), python3-dev
Description: CPython bindings generator for C++ libraries (development files)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package provides the development headers for the libshiboken2 library.

Package: shiboken2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: CPython bindings generator for C++ libraries (common documentation)
 Shiboken2 is a bindings generator for C++ libraries that outputs CPython
 source code. It collects information from library headers, and then
 merges modifications and handwritten code defined in the typesystem
 description.
 .
 Shiboken2 is the binding generator used to create the PySide2 bindings.
 .
 This package contains the common documentation.

Package: pyside2-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-pyside2.qtcore
Description: development tools for PySide2 (lupdate)
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 PySide2 ships Python bindings for the Qt5 framework. This package ships
 the following accompanying tools:
  * pyside2-lupdate - update Qt Linguist translation files for PySide

Package: python3-pyside2.qtwidgets
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 Widgets module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtWidgets module.

Package: python3-pyside2.qt3drender
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qt3dcore, python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 3DRender module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the Qt3DRender module.

Package: python3-pyside2.qtquick
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork, python3-pyside2.qtqml,
 python3-pyside2.qtgui
Description: Python bindings for Qt5 Quick module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuick module.

Package: python3-pyside2.qtquickcontrols2
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtquick
Description: Python bindings for Qt5 QuickControls2 (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQuickControls2 module.

Package: python3-pyside2.qtpositioning
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore
Description: Python bindings for Qt5 Positioning module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtPositioning module.

Package: python3-pyside2.qtremoteobjects
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 RemoteObjects (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtRemoteObjects module.

Package: python3-pyside2.qtx11extras
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui
Description: Python bindings for Qt5 X11Extras module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtX11Extras module.

Package: python3-pyside2.qtqml
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtgui, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 Qml module (Python 3)
 pyside2 provides Python bindings for Qt 5.x framework.
 .
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Python 3 bindings for the QtQml module.

Package: python3-pyside2.qtwebenginecore
Architecture: amd64 arm64 armhf i386 mips64el
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
 python3-pyside2.qtcore, python3-pyside2.qtnetwork
Description: Python bindings for Qt5 WebEngineCore module (Python 3)

## pyside2 5.15.13

=== sources/pyside2-tools/tests/rcc/CMakeLists.txt ===
macro(ADD_RCC_TEST name pyfile qrcfile)
    add_test(${name} ${CMAKE_CURRENT_SOURCE_DIR}/run_test.sh
                     ${PYSIDERCC_EXECUTABLE}
                     ${CMAKE_CURRENT_SOURCE_DIR}/${pyfile}
                     ${CMAKE_CURRENT_SOURCE_DIR}/${qrcfile}
                     ${CMAKE_CURRENT_SOURCE_DIR})
endmacro()

add_rcc_test(RccTest rcc_test.py example.qrc)
add_rcc_test(RccImageTest rcc_image_test.py image.qrc)

=== sources/pyside2/PySide2/QtCore/CMakeLists.txt ===
project(QtCore)

set(QtCore_gluecode "${QtCore_SOURCE_DIR}/glue/qeasingcurve_glue.cpp")

if(ENABLE_WIN)
    set(SPECIFIC_OS_FILES
      ${QtCore_GEN_DIR}/qwineventnotifier_wrapper.cpp
    )
else()
    set(SPECIFIC_OS_FILES "")
endif()

set(QtCore_SRC
${QtCore_GEN_DIR}/qabstractanimation_wrapper.cpp
${QtCore_GEN_DIR}/qabstracteventdispatcher_timerinfo_wrapper.cpp
${QtCore_GEN_DIR}/qabstracteventdispatcher_wrapper.cpp
${QtCore_GEN_DIR}/qabstractitemmodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstractlistmodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstractnativeeventfilter_wrapper.cpp
${QtCore_GEN_DIR}/qabstractproxymodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstractstate_wrapper.cpp
${QtCore_GEN_DIR}/qabstracttablemodel_wrapper.cpp
${QtCore_GEN_DIR}/qabstracttransition_wrapper.cpp
${QtCore_GEN_DIR}/qanimationgroup_wrapper.cpp
${QtCore_GEN_DIR}/qbasicmutex_wrapper.cpp
${QtCore_GEN_DIR}/qbasictimer_wrapper.cpp
${QtCore_GEN_DIR}/qbitarray_wrapper.cpp
${QtCore_GEN_DIR}/qbuffer_wrapper.cpp
${QtCore_GEN_DIR}/qbytearray_wrapper.cpp
${QtCore_GEN_DIR}/qbytearraymatcher_wrapper.cpp
${QtCore_GEN_DIR}/qchildevent_wrapper.cpp
${QtCore_GEN_DIR}/qcborarray_wrapper.cpp
${QtCore_GEN_DIR}/qcborerror_wrapper.cpp
${QtCore_GEN_DIR}/qcbormap_wrapper.cpp
${QtCore_GEN_DIR}/qcborparsererror_wrapper.cpp
${QtCore_GEN_DIR}/qcborstreamreader_wrapper.cpp
${QtCore_GEN_DIR}/qcborstringresultstring_wrapper.cpp
${QtCore_GEN_DIR}/qcborstringresultbytearray_wrapper.cpp
${QtCore_GEN_DIR}/qcborstreamwriter_wrapper.cpp
${QtCore_GEN_DIR}/qcborvalue_wrapper.cpp
${QtCore_GEN_DIR}/qcollator_wrapper.cpp
${QtCore_GEN_DIR}/qcollatorsortkey_wrapper.cpp
${QtCore_GEN_DIR}/qcommandlineoption_wrapper.cpp
${QtCore_GEN_DIR}/qcommandlineparser_wrapper.cpp
${QtCore_GEN_DIR}/qcoreapplication_wrapper.cpp
${QtCore_GEN_DIR}/qcryptographichash_wrapper.cpp
${QtCore_GEN_DIR}/qdatastream_wrapper.cpp
${QtCore_GEN_DIR}/qdate_wrapper.cpp
${QtCore_GEN_DIR}/qdatetime_wrapper.cpp
${QtCore_GEN_DIR}/qdeadlinetimer_wrapper.cpp
${QtCore_GEN_DIR}/qdir_wrapper.cpp
${QtCore_GEN_DIR}/qdiriterator_wrapper.cpp
${QtCore_GEN_DIR}/qdynamicpropertychangeevent_wrapper.cpp
${QtCore_GEN_DIR}/qeasingcurve_wrapper.cpp
${QtCore_GEN_DIR}/qelapsedtimer_wrapper.cpp
${QtCore_GEN_DIR}/qevent_wrapper.cpp
${QtCore_GEN_DIR}/qeventloop_wrapper.cpp
${QtCore_GEN_DIR}/qeventtransition_wrapper.cpp
${QtCore_GEN_DIR}/qfactoryinterface_wrapper.cpp
${QtCore_GEN_DIR}/qfile_wrapper.cpp
${QtCore_GEN_DIR}/qfileselector_wrapper.cpp
${QtCore_GEN_DIR}/qfiledevice_wrapper.cpp
${QtCore_GEN_DIR}/qfileinfo_wrapper.cpp
${QtCore_GEN_DIR}/qfilesystemwatcher_wrapper.cpp
${QtCore_GEN_DIR}/qfinalstate_wrapper.cpp
${QtCore_GEN_DIR}/qfutureinterfacebase_wrapper.cpp
${QtCore_GEN_DIR}/qgenericargument_wrapper.cpp
${QtCore_GEN_DIR}/qgenericreturnargument_wrapper.cpp
${QtCore_GEN_DIR}/qhistorystate_wrapper.cpp
${QtCore_GEN_DIR}/qidentityproxymodel_wrapper.cpp
${QtCore_GEN_DIR}/qiodevice_wrapper.cpp
${QtCore_GEN_DIR}/qjsonarray_wrapper.cpp
${QtCore_GEN_DIR}/qjsondocument_wrapper.cpp
${QtCore_GEN_DIR}/qjsonparseerror_wrapper.cpp
${QtCore_GEN_DIR}/qjsonvalue_wrapper.cpp
${QtCore_GEN_DIR}/qitemselection_wrapper.cpp
${QtCore_GEN_DIR}/qitemselectionmodel_wrapper.cpp
${QtCore_GEN_DIR}/qitemselectionrange_wrapper.cpp
${QtCore_GEN_DIR}/qlibraryinfo_wrapper.cpp
${QtCore_GEN_DIR}/qline_wrapper.cpp
${QtCore_GEN_DIR}/qlinef_wrapper.cpp
${QtCore_GEN_DIR}/qlocale_wrapper.cpp
${QtCore_GEN_DIR}/qlockfile_wrapper.cpp
${QtCore_GEN_DIR}/qmargins_wrapper.cpp
${QtCore_GEN_DIR}/qmarginsf_wrapper.cpp
${QtCore_GEN_DIR}/qmessageauthenticationcode_wrapper.cpp
${QtCore_GEN_DIR}/qmessagelogcontext_wrapper.cpp
${QtCore_GEN_DIR}/qmetaclassinfo_wrapper.cpp
${QtCore_GEN_DIR}/qmetaenum_wrapper.cpp
${QtCore_GEN_DIR}/qmetamethod_wrapper.cpp
${QtCore_GEN_DIR}/qmetaobject_connection_wrapper.cpp
${QtCore_GEN_DIR}/qmetaobject_wrapper.cpp
${QtCore_GEN_DIR}/qmetaproperty_wrapper.cpp
${QtCore_GEN_DIR}/qmimedata_wrapper.cpp
${QtCore_GEN_DIR}/qmimedatabase_wrapper.cpp
${QtCore_GEN_DIR}/qmimetype_wrapper.cpp
${QtCore_GEN_DIR}/qmodelindex_wrapper.cpp
${QtCore_GEN_DIR}/qmutex_wrapper.cpp
${QtCore_GEN_DIR}/qmutexlocker_wrapper.cpp
${QtCore_GEN_DIR}/qobject_wrapper.cpp
${QtCore_GEN_DIR}/qoperatingsystemversion_wrapper.cpp
${QtCore_GEN_DIR}/qparallelanimationgroup_wrapper.cpp
${QtCore_GEN_DIR}/qpauseanimation_wrapper.cpp
${QtCore_GEN_DIR}/qpersistentmodelindex_wrapper.cpp
${QtCore_GEN_DIR}/qpluginloader_wrapper.cpp
${QtCore_GEN_DIR}/qpoint_wrapper.cpp
${QtCore_GEN_DIR}/qpointf_wrapper.cpp
${QtCore_GEN_DIR}/qprocess_wrapper.cpp
${QtCore_GEN_DIR}/qprocessenvironment_wrapper.cpp
${QtCore_GEN_DIR}/qpropertyanimation_wrapper.cpp
${QtCore_GEN_DIR}/qrandomgenerator_wrapper.cpp
${QtCore_GEN_DIR}/qrandomgenerator64_wrapper.cpp
${QtCore_GEN_DIR}/qreadlocker_wrapper.cpp
${QtCore_GEN_DIR}/qreadwritelock_wrapper.cpp
${QtCore_GEN_DIR}/qrect_wrapper.cpp
${QtCore_GEN_DIR}/qrectf_wrapper.cpp
${QtCore_GEN_DIR}/qregexp_wrapper.cpp
${QtCore_GEN_DIR}/qregularexpression_wrapper.cpp
${QtCore_GEN_DIR}/qregularexpressionmatch_wrapper.cpp
${QtCore_GEN_DIR}/qregularexpressionmatchiterator_wrapper.cpp
${QtCore_GEN_DIR}/qresource_wrapper.cpp
${QtCore_GEN_DIR}/qrunnable_wrapper.cpp
${QtCore_GEN_DIR}/qsavefile_wrapper.cpp
${QtCore_GEN_DIR}/qsemaphore_wrapper.cpp
${QtCore_GEN_DIR}/qsemaphorereleaser_wrapper.cpp
${QtCore_GEN_DIR}/qsequentialanimationgroup_wrapper.cpp
${QtCore_GEN_DIR}/qsettings_wrapper.cpp
${QtCore_GEN_DIR}/qsignalblocker_wrapper.cpp
${QtCore_GEN_DIR}/qsignalmapper_wrapper.cpp
${QtCore_GEN_DIR}/qsignaltransition_wrapper.cpp
${QtCore_GEN_DIR}/qsize_wrapper.cpp
${QtCore_GEN_DIR}/qsizef_wrapper.cpp
${QtCore_GEN_DIR}/qsocketdescriptor_wrapper.cpp
${QtCore_GEN_DIR}/qsocketnotifier_wrapper.cpp
${QtCore_GEN_DIR}/qsortfilterproxymodel_wrapper.cpp
${QtCore_GEN_DIR}/qstate_wrapper.cpp
${QtCore_GEN_DIR}/qstandardpaths_wrapper.cpp
${QtCore_GEN_DIR}/qstatemachine_signalevent_wrapper.cpp
${QtCore_GEN_DIR}/qstatemachine_wrappedevent_wrapper.cpp
${QtCore_GEN_DIR}/qstatemachine_wrapper.cpp
${QtCore_GEN_DIR}/qstorageinfo_wrapper.cpp
${QtCore_GEN_DIR}/qstringlistmodel_wrapper.cpp
${QtCore_GEN_DIR}/qsysinfo_wrapper.cpp
${QtCore_GEN_DIR}/qsystemsemaphore_wrapper.cpp
${QtCore_GEN_DIR}/qt_wrapper.cpp
${QtCore_GEN_DIR}/qtemporarydir_wrapper.cpp
${QtCore_GEN_DIR}/qtemporaryfile_wrapper.cpp
${QtCore_GEN_DIR}/qtextboundaryfinder_wrapper.cpp
${QtCore_GEN_DIR}/qtextcodec_converterstate_wrapper.cpp
${QtCore_GEN_DIR}/qtextcodec_wrapper.cpp
${QtCore_GEN_DIR}/qtextdecoder_wrapper.cpp
${QtCore_GEN_DIR}/qtextencoder_wrapper.cpp
${QtCore_GEN_DIR}/qtextstream_wrapper.cpp
${QtCore_GEN_DIR}/qtextstreammanipulator_wrapper.cpp
${QtCore_GEN_DIR}/qthread_wrapper.cpp
${QtCore_GEN_DIR}/qthreadpool_wrapper.cpp
${QtCore_GEN_DIR}/qtime_wrapper.cpp
${QtCore_GEN_DIR}/qtimeline_wrapper.cpp
${QtCore_GEN_DIR}/qtimer_wrapper.cpp
${QtCore_GEN_DIR}/qtimerevent_wrapper.cpp
${QtCore_GEN_DIR}/qtimezone_wrapper.cpp
${QtCore_GEN_DIR}/qtimezone_offsetdata_wrapper.cpp
${QtCore_GEN_DIR}/qtranslator_wrapper.cpp
${QtCore_GEN_DIR}/qurl_wrapper.cpp
${QtCore_GEN_DIR}/qurlquery_wrapper.cpp
${QtCore_GEN_DIR}/quuid_wrapper.cpp
${QtCore_GEN_DIR}/qvariantanimation_wrapper.cpp
${QtCore_GEN_DIR}/qversionnumber_wrapper.cpp
${QtCore_GEN_DIR}/qwaitcondition_wrapper.cpp
${QtCore_GEN_DIR}/qwritelocker_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamattribute_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamattributes_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamentitydeclaration_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamentityresolver_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamnamespacedeclaration_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamnotationdeclaration_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamreader_wrapper.cpp
${QtCore_GEN_DIR}/qxmlstreamwriter_wrapper.cpp


${SPECIFIC_OS_FILES}
# module is always needed
${QtCore_GEN_DIR}/qtcore_module_wrapper.cpp
)

if (Qt${QT_MAJOR_VERSION}Core_VERSION VERSION_EQUAL 5.13.0
    OR Qt${QT_MAJOR_VERSION}Core_VERSION VERSION_GREATER 5.13.0)
    list(APPEND QtCore_SRC
         ${QtCore_GEN_DIR}/qconcatenatetablesproxymodel_wrapper.cpp
         ${QtCore_GEN_DIR}/qtransposeproxymodel_wrapper.cpp)
endif()

if (Qt${QT_MAJOR_VERSION}Core_VERSION VERSION_EQUAL 5.14.0
    OR Qt${QT_MAJOR_VERSION}Core_VERSION VERSION_GREATER 5.14.0)
    list(APPEND QtCore_SRC
         ${QtCore_GEN_DIR}/qcalendar_wrapper.cpp
         ${QtCore_GEN_DIR}/qcalendar_yearmonthday_wrapper.cpp
         ${QtCore_GEN_DIR}/qrecursivemutex_wrapper.cpp)
endif()

if (Qt${QT_MAJOR_VERSION}Core_VERSION VERSION_EQUAL 5.15.0
    OR Qt${QT_MAJOR_VERSION}Core_VERSION VERSION_GREATER 5.15.0)
    list(APPEND QtCore_SRC
         ${QtCore_GEN_DIR}/qbytearray_frombase64result_wrapper.cpp)
endif()

set(QtCore_glue_sources
    "${QtCore_SOURCE_DIR}/glue/qeasingcurve_glue.cpp"
    "${QtCore_SOURCE_DIR}/glue/qeasingcurve_glue.h"
)

configure_file("${QtCore_SOURCE_DIR}/typesystem_core.xml.in"
               "${QtCore_BINARY_DIR}/typesystem_core.xml" @ONLY)

set(QtCore_include_dirs ${QtCore_SOURCE_DIR}
                        ${QtCore_BINARY_DIR}
                        ${Qt${QT_MAJOR_VERSION}Core_INCLUDE_DIRS}
                        ${libpyside_SOURCE_DIR}
                        )
set(QtCore_libraries  pyside2
                      ${Qt${QT_MAJOR_VERSION}Core_LIBRARIES}
                      )

create_pyside_module(NAME QtCore
                     INCLUDE_DIRS QtCore_include_dirs
                     LIBRARIES QtCore_libraries
                     TYPESYSTEM_PATH QtCore_SOURCE_DIR
                     SOURCES QtCore_SRC
                     STATIC_SOURCES QtCore_gluecode
                     TYPESYSTEM_NAME ${QtCore_BINARY_DIR}/typesystem_core.xml
                     GLUE_SOURCES QtCore_glue_sources
                     )

=== sources/pyside2/tests/QtSvg/CMakeLists.txt ===
PYSIDE_TEST(qsvggenerator_test.py)
PYSIDE_TEST(qsvgrenderer_test.py)
PYSIDE_TEST(qsvgwidget_test.py)

=== sources/shiboken2/tests/libsample/CMakeLists.txt ===
project(libsample)

set(libsample_SRC
abstract.cpp
blackbox.cpp
bytearray.cpp
bucket.cpp
collector.cpp
complex.cpp
onlycopy.cpp
derived.cpp
echo.cpp
exceptiontest.cpp
functions.cpp
handle.cpp
implicitconv.cpp
injectcode.cpp
listuser.cpp
modifications.cpp
mapuser.cpp
modified_constructor.cpp
multiple_derived.cpp
oddbool.cpp
objectmodel.cpp
objecttype.cpp
objecttypeholder.cpp
objecttypelayout.cpp
objecttypeoperators.cpp
objectview.cpp
overload.cpp
overloadsort.cpp
pairuser.cpp
pen.cpp
photon.cpp
point.cpp
pointf.cpp
polygon.cpp
protected.cpp
reference.cpp
renaming.cpp
sample.cpp
samplenamespace.cpp
sbkdate.cpp
simplefile.cpp
size.cpp
sometime.cpp
str.cpp
strlist.cpp
templateptr.cpp
transform.cpp
typesystypedef.cpp
virtualmethods.cpp
expression.cpp
filter.cpp
)

add_library(libsample SHARED ${libsample_SRC})
target_include_directories(libsample PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
target_compile_definitions(libsample PRIVATE LIBSAMPLE_BUILD)
set_property(TARGET libsample PROPERTY PREFIX "")

=== debian/changelog ===
pyside2 (5.15.13-1) unstable; urgency=medium

  * Team upload.
  * Acknowledge NMU, thanks Steve Langasek!
  * New upstream release.
  * Rebase patches for the new release.
  * Blacklist smart_pointer test (closes: #1068078).
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 14 Apr 2024 23:48:11 +0300

pyside2 (5.15.12-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064292

 -- Steve Langasek <vorlon@debian.org>  Sat, 02 Mar 2024 00:27:01 +0000

pyside2 (5.15.12-6) unstable; urgency=medium

  * Team upload.
  * Build with the default LLVM version (16), to fix dep-wait on mips64el.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Feb 2024 11:13:11 +0300

pyside2 (5.15.12-5) unstable; urgency=medium

  * Team upload.
  * Backport 9 upstream patches for LLVM ≥ 16 support.
  * Modify sendCommand signatures to use 0 as default value.
  * Build with llvm-toolchain-17 (closes: #1061206).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Feb 2024 17:20:57 +0300

pyside2 (5.15.12-4) unstable; urgency=medium

  * Team upload.
  * Make the tests non-fatal on mips64el (see #1061679).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 28 Jan 2024 19:34:21 +0300

pyside2 (5.15.12-3) unstable; urgency=medium

  * Team upload.
  * Backport upstream change to stop using imp module.
  * Do not use patchelf to change RPATH, not needed in Debian.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 25 Jan 2024 15:19:52 +0300

pyside2 (5.15.12-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream patches to support Python 3.12.
  * Blacklist registry::existence_test. It was never actually run, but
    Python 3.12 started considering it a failure when all tests are skipped.
  * Build with bundled patchelf on mips64el again.
    - Restore update-patchelf.patch which was removed in 5.15.2-1~exp1.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jan 2024 23:46:56 +0300

pyside2 (5.15.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop make-wheels-compatible-with-Python-3.11.patch, included in the
    new release.
  * Fix a bug in test_install_python3.sh because of which the test did
    not do anything. Thanks Stuart Prescott!

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Jan 2024 21:52:44 +0300

pyside2 (5.15.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, included in the new release:
    - libshiboken-Fix-a-crash-in-Shiboken-Object-isValid.patch
    - Fix-usage-of-Py_TYPE-for-Python-3.11.patch
    - libshiboken-Fix-crashes-with-static-strings-in-Python-3.11.patch
    - Fix-Property-GC-tracking-for-Python-3.11.patch
    - Fix-GLES-builds.patch
  * Refresh other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 15 Oct 2023 23:04:58 +0300

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
                cmake (>= 3.1),
                debhelper-compat (= 13),
                dh-python,
+               dpkg-dev (>= 1.22.5),
                graphviz,
-               libclang-15-dev,
+               libclang-dev,
                libqt5charts5-dev (>= 5.15),
                libqt5datavisualization5-dev (>= 5.15),
                libqt5opengl5-dev (>= 5.15),
@@ -26,8 +27,7 @@
                libqt5xmlpatterns5-dev (>= 5.15),
                libxml2-dev,
                libxslt1-dev,
-               llvm-15-dev,
-               patchelf,
+               llvm-dev,
                python3-dev,
                python3-distro,
                python3-setuptools,
@@ -59,7 +59,7 @@
                xauth,
                xvfb
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://wiki.qt.io/Qt_for_Python
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/pyside2.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/pyside2
@@ -77,13 +77,14 @@
  .
  This package contains the common documentation package.
 
-Package: libpyside2-py3-5.15
+Package: libpyside2-py3-5.15t64
+Breaks: libpyside2-py3-5.15 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Conflicts: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
-Replaces: libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
-Provides: libpyside2-py3
+Replaces: libpyside2-py3-5.15, libpyside2-py3-5.11, libpyside2-py3-5.13, libpyside2-py3-5.14
+Provides: ${t64:Provides}, libpyside2-py3
 Description: Python 3 bindings for Qt5 (base files)
  pyside2 provides Python bindings for Qt 5.x framework.
  .
@@ -95,7 +96,7 @@
 Package: libpyside2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-py3-5.15 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}, libpyside2-py3-5.15t64 (= ${binary:Version})
 Description: Python bindings for Qt5 (development files)
  pyside2 provides Python bindings for Qt 5.x framework.
  .
@@ -128,13 +129,14 @@
  .
  Shiboken2 is the binding generator used to create the PySide2 bindings.
 
-Package: libshiboken2-py3-5.15
+Package: libshiboken2-py3-5.15t64
+Breaks: libshiboken2-py3-5.15 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Conflicts: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
-Replaces: libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
-Provides: libshiboken2-py3
+Replaces: libshiboken2-py3-5.15, libshiboken2-py3-5.11, libshiboken2-py3-5.13, libshiboken2-py3-5.14
+Provides: ${t64:Provides}, libshiboken2-py3
 Description: CPython bindings generator for C++ libraries (Python3 shared library)
  Shiboken2 is a bindings generator for C++ libraries that outputs CPython
  source code. It collects information from library headers, and then
@@ -149,7 +151,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libshiboken2-py3-5.15 (= ${binary:Version}), shiboken2 (= ${binary:Version}), python3-dev
+ libshiboken2-py3-5.15t64 (= ${binary:Version}), shiboken2 (= ${binary:Version}), python3-dev
 Description: CPython bindings generator for C++ libraries (development files)
  Shiboken2 is a bindings generator for C++ libraries that outputs CPython
  source code. It collects information from library headers, and then
@@ -285,6 +287,3 @@
 
 Package: python3-pyside2.qtwebenginecore
 Architecture: amd64 arm64 armhf i386 mips64el
-Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
- python3-pyside2.qtcore, python3-pyside2.qtnetwork
-Description: Python bindings for Qt5 WebEngineCore module (Python 3)

=== debian/tests/control ===
Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtcore PySide2.QtCore
Depends: python3-pyside2.qtcore, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtwidgets PySide2.QtWidgets
Depends: python3-pyside2.qtwidgets, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qt3drender PySide2.Qt3DRender
Depends: python3-pyside2.qt3drender, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtquick PySide2.QtQuick
Depends: python3-pyside2.qtquick, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtquickcontrols2 PySide2.QtQuickControls2
Depends: python3-pyside2.qtquickcontrols2, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtpositioning PySide2.QtPositioning
Depends: python3-pyside2.qtpositioning, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtremoteobjects PySide2.QtRemoteObjects
Depends: python3-pyside2.qtremoteobjects, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtx11extras PySide2.QtX11Extras
Depends: python3-pyside2.qtx11extras, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtqml PySide2.QtQml
Depends: python3-pyside2.qtqml, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtwebenginecore PySide2.QtWebEngineCore
Depends: python3-pyside2.qtwebenginecore, python3
Restrictions: allow-stderr, superficial
Architecture: amd64 arm64 armhf i386 mips64el

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qttexttospeech PySide2.QtTextToSpeech
Depends: python3-pyside2.qttexttospeech, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qthelp PySide2.QtHelp
Depends: python3-pyside2.qthelp, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtscripttools PySide2.QtScriptTools
Depends: python3-pyside2.qtscripttools, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtnetwork PySide2.QtNetwork
Depends: python3-pyside2.qtnetwork, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtmultimediawidgets PySide2.QtMultimediaWidgets
Depends: python3-pyside2.qtmultimediawidgets, python3
Restrictions: allow-stderr, superficial

Test-Command: debian/tests/test_install_python3.sh python3-pyside2.qtlocation PySide2.QtLocation
Depends: python3-pyside2.qtlocation, python3

## pyside2 5.15.14

=== debian/changelog ===
pyside2 (5.15.14-1build1) oracular; urgency=medium

  * No-change rebuild against Qt 5.15.15.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2024 11:17:41 +0300

pyside2 (5.15.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop patches, included in the new release:
    - shiboken2-Fix-build-with-clang-16.patch
    - shiboken2-Fail-template-test-instead-of-crashing.patch
  * Refresh and rebase other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Jun 2024 23:47:03 +0300
